Index: issm/trunk/src/c/shared/Enum/EnumToStringx.cpp
===================================================================
--- issm/trunk/src/c/shared/Enum/EnumToStringx.cpp	(revision 25994)
+++ issm/trunk/src/c/shared/Enum/EnumToStringx.cpp	(revision 26744)
@@ -844,4 +1000,9 @@
 		case SmbZTopEnum : return "SmbZTop";
 		case SmbZYEnum : return "SmbZY";
+		case SolidearthExternalDisplacementEastRateEnum : return "SolidearthExternalDisplacementEastRate";
+		case SolidearthExternalDisplacementNorthRateEnum : return "SolidearthExternalDisplacementNorthRate";
+		case SolidearthExternalDisplacementUpRateEnum : return "SolidearthExternalDisplacementUpRate";
+		case SolidearthExternalGeoidRateEnum : return "SolidearthExternalGeoidRate";
+		case StochasticForcingDefaultIdEnum : return "StochasticForcingDefaultId";
 		case StrainRateeffectiveEnum : return "StrainRateeffective";
 		case StrainRateparallelEnum : return "StrainRateparallel";
@@ -879,4 +1040,6 @@
 		case TemperaturePicardEnum : return "TemperaturePicard";
 		case TemperatureSEMICEnum : return "TemperatureSEMIC";
+		case ThermalforcingAutoregressionNoiseEnum : return "ThermalforcingAutoregressionNoise";
+		case ThermalforcingValuesAutoregressionEnum : return "ThermalforcingValuesAutoregression";
 		case ThermalSpctemperatureEnum : return "ThermalSpctemperature";
 		case ThicknessAbsGradientEnum : return "ThicknessAbsGradient";
@@ -888,13 +1051,20 @@
 		case ThicknessPositiveEnum : return "ThicknessPositive";
 		case ThicknessResidualEnum : return "ThicknessResidual";
+		case TransientAccumulatedDeltaIceThicknessEnum : return "TransientAccumulatedDeltaIceThickness";
 		case VelEnum : return "Vel";
 		case VxAverageEnum : return "VxAverage";
+		case VxBaseEnum : return "VxBase";
 		case VxEnum : return "Vx";
 		case VxMeshEnum : return "VxMesh";
 		case VxObsEnum : return "VxObs";
+		case VxShearEnum : return "VxShear";
+		case VxSurfaceEnum : return "VxSurface";
 		case VyAverageEnum : return "VyAverage";
+		case VyBaseEnum : return "VyBase";
 		case VyEnum : return "Vy";
 		case VyMeshEnum : return "VyMesh";
 		case VyObsEnum : return "VyObs";
+		case VyShearEnum : return "VyShear";
+		case VySurfaceEnum : return "VySurface";
 		case VzEnum : return "Vz";
 		case VzFSEnum : return "VzFS";
@@ -908,5 +1078,11 @@
 		case WaterfractionEnum : return "Waterfraction";
 		case WaterheightEnum : return "Waterheight";
+		case FrictionWaterPressureEnum : return "FrictionWaterPressure";
+		case FrictionWaterPressureNoiseEnum : return "FrictionWaterPressureNoise";
+		case WeightsLevelsetObservationEnum : return "WeightsLevelsetObservation";
 		case WeightsSurfaceObservationEnum : return "WeightsSurfaceObservation";
+		case OldAccumulatedDeltaBottomPressureEnum : return "OldAccumulatedDeltaBottomPressure";
+		case OldAccumulatedDeltaIceThicknessEnum : return "OldAccumulatedDeltaIceThickness";
+		case OldAccumulatedDeltaTwsEnum : return "OldAccumulatedDeltaTws";
 		case Outputdefinition1Enum : return "Outputdefinition1";
 		case Outputdefinition10Enum : return "Outputdefinition10";
@@ -1048,4 +1224,5 @@
 		case CfsurfacelogvelEnum : return "Cfsurfacelogvel";
 		case CfsurfacesquareEnum : return "Cfsurfacesquare";
+		case CflevelsetmisfitEnum : return "Cflevelsetmisfit";
 		case ChannelEnum : return "Channel";
 		case ChannelAreaEnum : return "ChannelArea";
@@ -1113,4 +1290,5 @@
 		case FrontalForcingsDefaultEnum : return "FrontalForcingsDefault";
 		case FrontalForcingsRignotEnum : return "FrontalForcingsRignot";
+		case FrontalForcingsRignotAutoregressionEnum : return "FrontalForcingsRignotAutoregression";
 		case FsetEnum : return "Fset";
 		case FullMeltOnPartiallyFloatingEnum : return "FullMeltOnPartiallyFloating";
@@ -1123,6 +1301,4 @@
 		case GenericParamEnum : return "GenericParam";
 		case GenericExternalResultEnum : return "GenericExternalResult";
-		case GiaAnalysisEnum : return "GiaAnalysis";
-		case GiaSolutionEnum : return "GiaSolution";
 		case Gradient1Enum : return "Gradient1";
 		case Gradient2Enum : return "Gradient2";
@@ -1244,4 +1420,6 @@
 		case NyeH2OEnum : return "NyeH2O";
 		case NumericalfluxEnum : return "Numericalflux";
+		case OceantransportAnalysisEnum : return "OceantransportAnalysis";
+		case OceantransportSolutionEnum : return "OceantransportSolution";
 		case OldGradientEnum : return "OldGradient";
 		case OneLayerP4zEnum : return "OneLayerP4z";
@@ -1278,5 +1456,8 @@
 		case RecoveryAnalysisEnum : return "RecoveryAnalysis";
 		case RiftfrontEnum : return "Riftfront";
+		case SamplingAnalysisEnum : return "SamplingAnalysis";
+		case SamplingSolutionEnum : return "SamplingSolution";
 		case SIAApproximationEnum : return "SIAApproximation";
+		case SMBautoregressionEnum : return "SMBautoregression";
 		case SMBcomponentsEnum : return "SMBcomponents";
 		case SMBd18opddEnum : return "SMBd18opdd";
@@ -1301,8 +1482,8 @@
 		case SealevelInertiaTensorYZEnum : return "SealevelInertiaTensorYZ";
 		case SealevelInertiaTensorZZEnum : return "SealevelInertiaTensorZZ";
+		case SealevelchangePolarMotionEnum : return "SealevelchangePolarMotion";
 		case SealevelNmotionEnum : return "SealevelNmotion";
 		case SealevelUmotionEnum : return "SealevelUmotion";
-		case SealevelriseAnalysisEnum : return "SealevelriseAnalysis";
-		case SealevelriseSolutionEnum : return "SealevelriseSolution";
+		case SealevelchangeAnalysisEnum : return "SealevelchangeAnalysis";
 		case SegEnum : return "Seg";
 		case SegInputEnum : return "SegInput";
